petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscShmCommGet

Given a PETSc communicator returns a communicator of all ranks that share a common memory

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscShmCommGet(MPI_Comm globcomm,PetscShmComm *pshmcomm)

Collective.

### Input Parameter

globcomm -MPI_Comm

### Output Parameter

pshmcomm -the PETSc shared memory communicator object

### Notes

This should be called only with an PetscCommDuplicate() communictor

When used with MPICH, MPICH must be configured with --download-mpich-device=ch3:nemesis

### Level

developer

### Location

src/sys/utils/mpishm.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages